### Class

# Gtk IconPaintable

#### Description [src]

    final class Gtk.IconPaintable : GObject.Object {
      /* No available fields */
    }

Contains information found when looking up an icon in `GtkIconTheme`.

`GtkIconPaintable` implements `GdkPaintable`.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GdkPaintable

#### Constructors

###### gtk_icon_paintable_new_for_file

Creates a `GtkIconPaintable` for a file with a given size and scale.

#### Instance methods

###### gtk_icon_paintable_get_file

Gets the `GFile` that was used to load the icon.

###### gtk_icon_paintable_get_icon_name

Get the icon name being used for this icon.

###### gtk_icon_paintable_is_symbolic

Checks if the icon is symbolic or not.

#### Properties

###### Gtk.IconPaintable:file

The file representing the icon, if any.

###### Gtk.IconPaintable:icon-name

The icon name that was chosen during lookup.

###### Gtk.IconPaintable:is-symbolic

Whether the icon is symbolic or not.